Subject: Re: [PATCH v6] lockfile: add PID file for debugging stale locks

From: Junio C Hamano <[email-masked]>
Date: Thu, 22 Jan 2026 12:17:25 -0800

"Paulo Casaretto via GitGitGadget" <[email-masked]> writes:

>     lockfile: add holder info file for debugging stale locks
>     
>     Changes in v6:
>     
>      * Applied Junio's fix-up: removed unused fd = -1 assignments and the
>        unreachable if (fd >= 0) close(fd) cleanup at the out label in
>        create_lock_pid_file().
>      * Kept close(fd) before unlink() in the error path for Windows
>        compatibility, as noted by Eric Sunshine and Johannes Sixt.
>      * Reverted the unnecessary whitespace-only changes to builtin/commit.c
>        and builtin/gc.c - these files are no longer touched by this patch.
>
> Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-2011%2Fpcasaretto%2Fpid-holder-file-v6
> Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-2011/pcasaretto/pid-holder-file-v6
> Pull-Request: https://github.com/gitgitgadget/git/pull/2011

Looking good.  Shall we declare victory and mark it for 'next' now?

Thanks.